Package org.apache.cxf.annotations

# Annotation Interface SchemaValidation

@Documented @Retention(RUNTIME) @Target({TYPE,METHOD}) @Inherited public @interface SchemaValidation
Enables schema validation

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `SchemaValidation.SchemaValidationType`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String[]`
  `schemas`
  Optional list of schema locations
  `SchemaValidation.SchemaValidationType`
  `type`
  Schema Validation Type

- ## Element Details

  - ### type

    SchemaValidation.SchemaValidationType type
    Schema Validation Type
    Returns:
      validation type
    Default:
      BOTH

  - ### schemas

    String[] schemas
    Optional list of schema locations
    Returns:
      schema locations
    Default:
      {}